Bug 1138436 - java-1.8.0-openjdk-headless-1.8.0.40-3.b02.el7.x86_64 (build) DEBUG util.py:257:Requires: /usr/share/javazi-1.8/tzdb.dat
Summary: java-1.8.0-openjdk-headless-1.8.0.40-3.b02.el7.x86_64 (build) DEBUG util.py:2...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.7.0-openjdk
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Omair Majid
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs 1021149
TreeView+ depends on / blocked
 
Reported: 2014-09-04 19:21 UTC by Richard W.M. Jones
Modified: 2014-09-11 17:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 17:36:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Richard W.M. Jones 2014-09-04 19:21:05 UTC
Description of problem:

Would like to file a bug against Java 1.*8*.0  but no such
component appears to exist.

Anyway, it's not installable:

DEBUG util.py:257:   --> 1:java-1.7.0-openjdk-1.7.0.65-2.5.1.2.el7_0.x86_64
DEBUG util.py:257:  Package java-1.7.0-openjdk is obsoleted by java-1.8.0-openjdk, trying to install java-1.8.0-openjdk-1.8.0.40-3.b02.el7.x86_64 instead
DEBUG util.py:257:   --> 1:java-1.7.0-openjdk-devel-1.7.0.65-2.5.1.2.el7_0.x86_64
DEBUG util.py:257:  Package java-1.7.0-openjdk-devel is obsoleted by java-1.8.0-openjdk-devel, trying to install java-1.8.0-openjdk-devel-1.8.0.40-3.b02.el7.x86_64 instead
[...]
DEBUG util.py:257:  Error: Package: java-1.8.0-openjdk-headless-1.8.0.40-3.b02.el7.x86_64 (build)
DEBUG util.py:257:             Requires: /usr/share/javazi-1.8/tzdb.dat
DEBUG util.py:257:   You could try using --skip-broken to work around the problem

Version-Release number of selected component (if applicable):

java 1.8.0

How reproducible:

100%

Steps to Reproduce:
1. Try to install it.

Please fix urgently as this is blocking builds which are
required to be done before the rebase deadline this weekend.

Comment 1 Richard W.M. Jones 2014-09-04 19:24:40 UTC
Failing brew build:
https://brewweb.devel.redhat.com/taskinfo?taskID=7920906

Comment 5 Omair Majid 2014-09-04 22:23:55 UTC
Thanks to help from rel-eng, I have removed the broken java-1.8.0-openjdk package from the buildroot. You should be able to build your packages now.

I am still working on fixing java-1.8.0-openjdk.

Comment 6 jiri vanek 2014-09-05 13:09:24 UTC
https://brewweb.devel.redhat.com/taskinfo?taskID=7923183
and
http://pkgs.devel.redhat.com/cgit/rpms/java-1.8.0-openjdk/commit/?h=rhel-7.1&id=4c2f2a0c11fae2a3f5590ced7e1d233b619d43d9


have fixed both obsolate, 
http://pkgs.devel.redhat.com/cgit/rpms/java-1.8.0-openjdk/commit/?h=rhel-7.1&id=7f946931d00956d23de15d628fa673b9fa50564c
and contains
 Requires: tzdata-java
-Requires: %{_datadir}/javazi-1.8/tzdb.dat
# Post requires alternatives to install tool alternatives.
Requires(post): %{_sbindir}/alternatives

tzdata issue.

Once this buildis done, it can be probably closed.

Comment 7 Omair Majid 2014-09-10 18:05:42 UTC
I think this bug can be closed as fixed now.


Note You need to log in before you can comment on or make changes to this bug.